@echo off
set "COMPOSE_FILE=%~dp0\..\docker-compose.yml"
cls
echo ==============================
echo =    DOCKER COMPOSE RUN     =
echo ==============================
echo 1) Запустить профиль DEBUG
echo 2) Запустить профиль FULL
echo ------------------------------
set /p "choice=Выберите профиль [1..2]: "

:: Устанавливаем переменную PROFILE в зависимости от выбора
if "%choice%"=="1" (
    echo Запуск docker-compose с профилем: debug
    docker compose -f "%COMPOSE_FILE%"  up -d
) else if "%choice%"=="2" (
    echo Запуск docker-compose с профилем: full
    docker compose -f "%COMPOSE_FILE%" --profile full up -d
) else (
    echo Неверный выбор. Скрипт остановлен.
    pause
    exit /b 1
)

echo ------------------------------
echo Запуск завершён. Нажмите любую клавишу для выхода...
pause
