package domain

// ParsedProduct описывает конкретную парсенную версию товара.
// Он соответствует записи из таблицы parsed_products.
type ParsedProduct struct {
	ID         string   `json:"id"`
	Price      float64  `json:"price"`
	ProductURL string   `json:"product_url"`
	MarketName string   `json:"market_name,omitempty"`
	PhotoUrls  []string `json:"photo_urls,omitempty"`
}
