#!/bin/sh
set -e

# Запускаем сервер Ollama в фоновом режиме
echo "Starting Ollama server..."
ollama serve &

# Ждем несколько секунд, чтобы сервер успел запуститься
echo "Waiting for Ollama server to initialize..."
sleep 10

# Подтягиваем модель bge-m3
echo "Pulling model bge-m3..."
ollama pull bge-m3

# Выводим сообщение и держим контейнер запущенным
echo "Model bge-m3 pulled successfully. Ollama server is running."
tail -f /dev/null
